Skip to content

Pause or resume the bot in a conversation

post/bot-control
Any key

Toggle or set the bot control state for a conversation. When bot control is -1, the bot does not respond to user messages. When bot control is 1, the bot responds to user messages. This endpoint only works for conversations originating from WhatsApp, Instagram, Messenger, WhatsApp Web API, Telegram or LINE.

Request body

Sending 2 of 4 fields
Required
chatbotIdstring
The unique identifier of the chatbot.
conversationIdstring
The unique identifier of the conversation.

Only these fields are sent (application/json).

Try it · POST /bot-control
curl 'https://api.chat-data.com/api/v2/bot-control' \  -H "Authorization: Bearer $CHAT_DATA_API_KEY" \  -H 'Content-Type: application/json' \  -d '{  "chatbotId": "6650f1c2a9e4b83d2c7a1f05",  "conversationId": "3f2b8c1e-9a4d-4e7b-8c2a-5d1e6f7a8b9c"}'
Loading…

Responses

Successful response.

Content type: application/json

FieldDescription
statusstringOne of: success.
payloadobjectThe conversation's updated bot control state.
payload.botControlintegerThe updated bot control state for the conversation. 1 means the bot is active and responding; -1 means the bot is inactive and not responding.
payload.botOffMinsintegerMinutes the bot will remain off. 0 means the bot remains off until the next bot control call.
payload.botOffTimestringWhen the bot was turned off. null unless the bot was turned off with botOffMins.

Example

{  "status": "success",  "payload": {    "botControl": -1,    "botOffMins": 30,    "botOffTime": "2026-10-14T09:30:00.000Z"  }}

Last updated October 14, 2026